﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var measureLineControl;
        var tgMap;
        var OnMapCreated = function(map) {
            tgMap = map;
            //measureLineControl.activate();
        }

        function activate() {
            //alert(measureLineControl);

            if (!measureLineControl) {
                var displayLayer = new OpenLayers.Layer.Vector('displayLayer');
                tgMap.addLayer(displayLayer);

                measureLineControl = new OpenLayers.Control.Measure(OpenLayers.Handler.Path, { persist: true });
                measureLineControl.events.on({
                    "measure": handleMeasurementCompleted,
                    "measurepartial": handleMeasurements
                });

                tgMap.addControl(measureLineControl);
            }
            measureLineControl.activate();
        }

        function deactivate() {
            if (measureLineControl) {
                measureLineControl.deactivate();
            }
        }

        function handleMeasurements(event) {
            var geometry = event.geometry;
            var units = event.units;
            var order = event.order;
            var measure = event.measure;

            var element = document.getElementById('output');
            var out = "";

            out += "Distance: " + measure.toString() + " " + units.toString();

            element.innerHTML = out;
        }

        function handleMeasurementCompleted(event) {

            var parser = Map1.GetMapParser();
            var displayLayer = parser.map.getLayersByName('displayLayer')[0];

            var feature = new OpenLayers.Feature.Vector(event.geometry);
            displayLayer.addFeatures([feature]);
        }

    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <asp:Button ID="btnMeasureLine" runat="server" Text="Measure line" OnClientClick="javascript:activate();return false;" />
                <asp:Button ID="btnNormal" runat="server" Text="Clear" OnClientClick="javascript:deactivate();return false;" />
                <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
                </cc1:Map>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    <div id="output">
        sadsadsadsadsadsad</div>
    </form>
</body>
</html>
